Bug 66721 - dvips -Ppdf makes strange characters for ligatures
dvips -Ppdf makes strange characters for ligatures
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 07:17 EDT by Jeremy Sanders
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 07:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2002-06-14 07:17:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020610

Description of problem:
If the times package is used for a latex document, then ligature characters (fi,
fl...) get converted to strange characters if the dvips -Ppdf option is used to
make a postscript file (to later convert to pdf).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make a latex document using fl and fi in the text
2. Use the times package
3. $ latex test.tex
4. $ dvips -Ppdf test.dvi
5. $ gv test.ps
	

Actual Results:  Weird characters

Expected Results:  Normal ligatures.

Additional info:

Example latex document:

\documentclass{article}
\usepackage{times}

\begin{document}
flash in the pan. \emph{flash in the pan}.

first I will do this. \emph{first I will do this}.
\end{document}
Comment 1 Tim Waugh 2002-06-14 08:36:11 EDT
As a workaround comment out 'G' in /usr/share/texmf/dvips/config.pdf.
Comment 2 Tim Waugh 2002-07-08 04:44:58 EDT
In fact using the option '-G0' is the easier way to do this.  I think that a newer dvips may fix 
this.
Comment 3 Tim Waugh 2003-07-30 07:33:03 EDT
This seems to work normally now in tetex-2.0.2.

Note You need to log in before you can comment on or make changes to this bug.